# Template for a project's @PROJECT_NAME@Config.cmake file
# See http://www.vtk.org/Wiki/CMake/Tutorials/How_to_create_a_ProjectConfig.cmake_file

# - Config file for the Library package
# It defines the following variables
#  @PROJECT_NAME@_PACKAGE_CONFIG_DIR - directory which contains @PROJECT_NAME@Config.cmake and related files
#  @PROJECT_NAME@_INCLUDE_DIRS   - include directories for @PROJECT_NAME@
#  @PROJECT_NAME@_LIBRARY_DIRS   - library directories for @PROJECT_NAME@ (normally not used!)
#  @PROJECT_NAME@_BINARY_DIR     - directory where executables are located
#  @PROJECT_NAME@_CONFIG_DIR     - directory where configuration are located
#  @PROJECT_NAME@_ICEGRID_DIR    - directory where IceGrid configurations are located
#  @PROJECT_NAME@_CMAKE_DIR      - special CMake files for @PROJECT_NAME@
#  @PROJECT_NAME@_INTERFACE_DIRS - interface include directories for @PROJECT_NAME@
#  @PROJECT_NAME@_INTERFACE_LIBRARY - Ice interface library of @PROJECT_NAME@
#  @PROJECT_NAME@_SCENARIOS_DIR  - directory containing ArmarX scenarios
#  @PROJECT_NAME@_DATA_DIR       - directory pointing to project specific data like robot models
#  @PROJECT_NAME@_TEMPLATES_DIR  - directory pointing to project specific templates
#  @PROJECT_NAME@_JAR_DIR        - directory of generated java archives
#  @PROJECT_NAME@_USE_FILE       - use include("${@PROJECT_NAME@_USE_FILE}") to access project specific macros
#  @PROJECT_NAME@_DOXYGEN_TAG_FILE
#  @PROJECT_NAME@_DEPENDENCIES   - list of ArmarX packages which @PROJECT_NAME@ depends on
#  @PROJECT_NAME@_SOURCE_PACKAGE_DEPENDENCIES   - list of ArmarX packages which @PROJECT_NAME@ depends with source
#  @PROJECT_NAME@_PACKAGE_DEPENDENCY_PATHS   - list of ArmarX packages with paths which @PROJECT_NAME@ depends with source
#  @PROJECT_NAME@_DISABLED_TARGETS
#  @PROJECT_NAME@_LIBRARIES      - libraries to link against
#  @PROJECT_NAME@_EXECUTABLE     - list of executables
#  @PROJECT_NAME@_JARS           - java archives generated by the javainterface make target

# Get path to this file
get_filename_component(@PROJECT_NAME@_CURRENT_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

set(@PROJECT_NAME@_PACKAGE_CONFIG_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}")

if(EXISTS "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/CMakeCache.txt")
    # In build tree
    message(STATUS "Using @PROJECT_NAME@ \@ v@ARMARX_PACKAGE_LIBRARY_VERSION@ Source SDK from: ${@PROJECT_NAME@_CURRENT_CMAKE_DIR}")
    include("${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@PROJECT_NAME@BuildTreeSettings.cmake")
else()
    # Installed project
    message(STATUS "Using @PROJECT_NAME@ \@ v@ARMARX_PACKAGE_LIBRARY_VERSION@ Binary SDK from: ${@PROJECT_NAME@_CURRENT_CMAKE_DIR}")

    message(STATUS "    PACKAGE_CONFIG_DIR: ${@PROJECT_NAME@_CURRENT_CMAKE_DIR}")

    # Tell the user project where to find our headers and libraries
    set(@PROJECT_NAME@_INCLUDE_DIRS "")
    foreach (INCLUDE_DIR @PROJECT_INCLUDE_DIRS@)
        set(@PROJECT_NAME@_INCLUDE_DIRS ${@PROJECT_NAME@_INCLUDE_DIRS} "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/${INCLUDE_DIR}")
    endforeach ()
    message(STATUS "    INCLUDE_DIRS: ${@PROJECT_NAME@_INCLUDE_DIRS}")
    set(@PROJECT_NAME@_LIBRARY_DIRS "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_LIB_DIR@")
    message(STATUS "    LIBRARY_DIRS: ${@PROJECT_NAME@_LIBRARY_DIRS}")
    set(@PROJECT_NAME@_BINARY_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_BIN_DIR@")
    message(STATUS "    BINARY_DIR:  ${@PROJECT_NAME@_BINARY_DIR}")

    set(@PROJECT_NAME@_CONFIG_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_CONFIG_DIR@")
    message(STATUS "    CONFIG_DIR:  ${@PROJECT_NAME@_CONFIG_DIR}")

    set(@PROJECT_NAME@_ICEGRID_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_ICEGRID_DIR@")
    message(STATUS "    ICEGRID_DIR:  ${@PROJECT_NAME@_ICEGRID_DIR}")

    set(@PROJECT_NAME@_CMAKE_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_CMAKE_DIR@")
    message(STATUS "    CMAKE_DIR: ${@PROJECT_NAME@_CMAKE_DIR}")

    set(@PROJECT_NAME@_INTERFACE_DIRS "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_INTERFACE_DIRS@")
    message(STATUS "    INTERFACE_DIRS: ${@PROJECT_NAME@_INTERFACE_DIRS}")
    set(@PROJECT_NAME@_INTERFACE_LIBRARY "@PROJECT_INTERFACE_LIBRARY@")
    message(STATUS "    INTERFACE_LIBRARY: ${@PROJECT_NAME@_INTERFACE_LIBRARY}")

    set(@PROJECT_NAME@_SCENARIOS_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_SCENARIOS_DIR@")
    message(STATUS "    SCENARIOS_DIR: ${@PROJECT_NAME@_SCENARIOS_DIR}")
    set(@PROJECT_NAME@_DATA_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_DATA_DIR@")
    message(STATUS "    DATA_DIR: ${@PROJECT_NAME@_DATA_DIR}")
    set(@PROJECT_NAME@_TEMPLATES_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_TEMPLATES_DIR@")
    message(STATUS "    TEMPLATES_DIR: ${@PROJECT_NAME@_TEMPLATES_DIR}")
    set(@PROJECT_NAME@_JAR_DIR "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_JAR_DIR@")
    message(STATUS "    JAR_DIR: ${@PROJECT_NAME@_JAR_DIR}")

    set(@PROJECT_NAME@_USE_FILE "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_USE_FILE@")
    message(STATUS "Using @PROJECT_NAME@Use.cmake: ${@PROJECT_NAME@_USE_FILE}")

    set(@PROJECT_NAME@_DOXYGEN_TAG_FILE "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@RELATIVE_BASE_DIR@/@PROJECT_DOXYGEN_TAG_FILE@")
    message(STATUS "Using @PROJECT_NAME@_DOXYGEN_TAG_FILE: ${@PROJECT_NAME@_DOXYGEN_TAG_FILE}")
endif()

# General variables which are equivalent for in-tree builds and installations
set(@PROJECT_NAME@_DEPENDENCIES "@PROJECT_DEPENDENCIES@")
set(@PROJECT_NAME@_PACKAGE_DEPENDENCY_PATHS "@PROJECT_PACKAGE_DEPENDENCY_PATHS@")
message(STATUS "    @PROJECT_NAME@_DEPENDENCIES: @PROJECT_DEPENDENCIES@")
set(@PROJECT_NAME@_DISABLED_TARGETS "@PROJECT_DISABLED_TARGETS@")
message(STATUS "    @PROJECT_NAME@_DISABLED_TARGETS: @PROJECT_DISABLED_TARGETS@")

set(ARMARX_USER_VARIABLES_FILE @ARMARX_USER_VARIABLES_FILE@)
set(ARMARX_USER_CONFIG_DIR @ARMARX_USER_CONFIG_DIR@)


# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT SCRIPTRUN AND EXISTS "${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@PROJECT_NAME@LibraryDepends.cmake")
    include("${@PROJECT_NAME@_CURRENT_CMAKE_DIR}/@PROJECT_NAME@LibraryDepends.cmake")
endif()

# These are IMPORTED targets created by @PROJECT_NAME@LibraryDepends.cmake
set(@PROJECT_NAME@_LIBRARIES "@PROJECT_LIBS@")

set(@PROJECT_NAME@_EXECUTABLE "@PROJECT_EXES@")

set(@PROJECT_NAME@_JARS "@PROJECT_JARS@")

set(@PROJECT_NAME@_VERSION "@PROJECT_VERSION@")
set(@PROJECT_NAME@_VERSION_MAJOR "@PROJECT_VERSION_MAJOR@")
set(@PROJECT_NAME@_VERSION_MINOR "@PROJECT_VERSION_MINOR@")
set(@PROJECT_NAME@_VERSION_PATCH "@PROJECT_VERSION_PATCH@")
set(@PROJECT_NAME@_LINUX_DEPENDENCIES "@CPACK_DEBIAN_PACKAGE_DEPENDS@")
